@black: #000;
@white: #fff;


// ----------------------------------------- //
// Override Bootstrap color variables
@gray-base:        @black;
@gray-darker:      #222;
@gray-dark:        #333;
@gray:             #555;
@gray-light:       #777;
@gray-lighter:     #eee;

@brand-primary:    @black; //#337ab7;
@brand-success:    #75ce00;
@brand-info:       #00c2ff;
@brand-warning:    #ffb555;
@brand-danger:     #ff5555;

@body-bg:          @white;

@text-color:       @black;

@link-color:       @brand-primary;
@link-hover-color: darken(@link-color, 15%);


// ----------------------------------------- //
// Theme variables

// Fonts
@font-primary:  "aktiv-grotesk", sans-serif;
@font-headline: "aktiv-grotesk-extended", sans-serif;
@font-thin:     "aktiv-grotesk-thin", sans-serif;

@font-serif:    Georgia, "Times New Roman", Times, serif;

@font-size-base:    16px;
@font-size-large:   18px;
@font-size-larger:  20px;
@font-size-small:   14px;
@font-size-smaller: 12px;

@font-size-base-rem:  1rem;

@font-size-h1:        @font-size-base-rem * 2;
@font-size-h2:        @font-size-base-rem * 1.6;
@font-size-h3:        @font-size-base-rem * 1.3;
@font-size-h4:        @font-size-base-rem * 1.15;
@font-size-h5:        @font-size-base-rem;
@font-size-h6:        @font-size-base-rem;

@font-size-h1-mobile: 1.6rem;
@font-size-h2-mobile: 1.35rem;
@font-size-h3-mobile: 1.2rem;
@font-size-h4-mobile: 1.1rem;
@font-size-h5-mobile: 1rem;
@font-size-h6-mobile: 1rem;

@headings-font-family:       @font-headline;
@headings-font-weight:       700;
@headings-font-weight-black: 900;
@headings-letter-spacing: -.03em;


// Brand colors
@brand-lightest: #f6f7fa;
@brand-lighter:  #e8e9ea;
@brand-light:    #d1d2d3;
@brand-dark:     #36383a;

@discount-color: #b12704;


// Borders
@border-color:       @black;
@border-color-light: @brand-light;
@border-style:       solid;


// Footer
@footer-bg:                 @black;
@footer-color:              @white;
@footer-link-color:         @footer-color;
@footer-link-hover-color:   @footer-link-color;
@footer-title-color:        @white;
@footer-title-border-color: lighten(@footer-bg, 5%);


// Title bars
@title-bar-text-transform:          initial;

@title-bar-light-title-background:  @body-bg;
@title-bar-light-title-color:       @text-color;
@title-bar-light-border-width:      0;
@title-bar-light-border-style:      @border-style;
@title-bar-light-border-color:      @border-color;

@title-bar-dark-background:         @brand-dark;
@title-bar-dark-color:              @white;
@title-bar-dark-title-color:        @title-bar-dark-color;


// Menus and navigation
@nav-dark-bg: #232323;

@nav-text-color:         @text-color;
@nav-link-color:         @text-color;
@nav-link-hover-color:   @nav-link-color;
@nav-link-active-color:  @nav-link-hover-color;

@nav-text-color-inverse:        @white;
@nav-link-color-inverse:        @white;
@nav-link-hover-color-inverse:  @nav-link-color-inverse;
@nav-link-active-color-inverse: @nav-link-hover-color-inverse;

@megamenu-bg:                 @nav-dark-bg;
@megamenu-link-color:         @white;
@megamenu-link-active-color:  @white;
@megamenu-link-hover-color:   @white;

// Buttons
@native-button-bg:     @white;
@native-button-color:  @text-color;
@native-button-border: @border-color;

@btn-font-family:    @headings-font-family;
@btn-text-transform: uppercase;
@btn-font-weight:    800;


// Border radius
@theme-border-radius-base:  0px; // Bootstrap default 4px
@theme-border-radius-large: 0px; // Bootstrap default 6px
@theme-border-radius-small: 0px; // Bootstrap default 2px


// labels
@label-sale-background: @discount-color;
@label-sale-color:      @white;

@label-new-background:  @brand-primary;
@label-new-color:       @white;


// ----------------------------------------- //

// Sections
@section-padding: 6rem 0;
@section-padding-mobile: 3rem 0;
